<?php
global $shortname,$options;
$shortname = "sco";

$options = 
array (
	array( "type" => "tabline",
	       "desc" => '<div id="#tab1">'
		  ), 
	array( "name" => "自訂網址圖示(favicon)",
		   "id" => $shortname."_favicon",
		   "type" => "upload",
		   "std" => "",
		   "desc" => '就是網址列前面顯示的小圖示。'	
         ),			  
	array( "name" => "背景圖片選擇",
		   "id" => $shortname."_bodybackground",
		   "type" => "select",
		   "std" => "b00",
		   "options" => array("b00","b01", "b02","b03","b04","b05","b06","b07","b08","b09","b10"),
		   "desc" => '請選擇圖片，下方所顯示的是目前所選擇的背景樣式：<br />如使用下方的自訂背景圖片上傳，此選項失效。<br /><div id="bodybackground"></div>'	
         ),	
	array( "name" => "自訂背景圖片上傳",
		   "id" => $shortname."_bodybgcustom",
		   "type" => "upload",
		   "std" => "",
		   "desc" => '如果上面的背景圖片你都不喜歡的話，就麻煩你自行上傳囉，如果使用上方選擇的背景，此欄位請空白，上傳的圖片建議用「四方連續圖」。'	
         ),			 
	array( "name" => "Logo圖片設定",
		   "id" => $shortname."_logo",
		   "type" => "upload",
		   "std" => "",
		   "desc" => "請輸入LOGO網址或點擊上傳圖片加入。"
		 ),
	array( "type" => "tabline",
	       "desc" => '</div><div id="#tab2">'
		  ), 
	array( "name" => "Google自訂搜尋引擎",
		   "id" => $shortname."_gsearch",
		   "type" => "text",
		   "std" => "",
		   "desc" => "請輸入CX值，例如：<code>017241933878116225349:w-v3wca8zlq</code>，可以在Google自訂搜尋引擎程式碼中找到。"
		 ),	 
	array( "name" => "啟用下拉式選單",
		   "id" => $shortname."_dropdownmenu",
		   "type" => "checkboxes",
		   "std" => "",
		   "desc" => "啟用後選單靠左，樣式變更，並適用下拉式選單。"
		 ),	 
	array( "name" => "啟用內文左側社群分享按鈕",
		   "id" => $shortname."_sharebutton",
		   "type" => "checkboxes",
		   "std" => "",
		   "desc" => "啟用《包含G+、FB、Twitter》"
		 ),	 
	array( "name" => "右側顯示Facebook粉絲專頁橫向動態視窗",
		   "id" => $shortname."_fbpage",
		   "type" => "text",
		   "std" => "",
		   "desc" => "請輸粉絲專頁後綴網址，例如：https://www.facebook.com/<code>teachs</code>，就輸入<b>teachs</b>。<br />注意：如果訪客螢幕解析度為1024*768，則可能會擋到側邊欄，請自行考量使用。"
		 ),
	array( "name" => "啟用作者資訊",
		   "id" => $shortname."_author",
		   "type" => "checkboxes",
		   "std" => "",
		   "desc" => "啟用後會在內文下方及作者文章列表上方顯示作者資訊，內容是讀取個人簡歷→個人資料，請至帳號→個人資訊填寫"
		 ),	 		 
    array( "name" => "頁首右上角欄位",
		   "id" => $shortname."_head",
		   "type" => "textarea",
		   "std" => "",
		   "desc" => "可用html語法，放置訂閱按鈕，橫幅廣告等等。(請注意寬度，總寬度是1000px，如果logo佔了200px，這裡請不要超過800px)
		   )"
		 ),		 
	array( "name" => "自訂底部資訊",
		   "id" => $shortname."_footer",
		   "type" => "textarea",
		   "std" => "",
		   "desc" => "可用html語法(會加在原先的版權資訊上方)"
		 ),
	array( "name" => "統計分析相關代碼",
		   "id" => $shortname."_analytics",
		   "type" => "textarea",
		   "std" => "",
		   "desc" => "可放入Google_Analytics等相關統計或需要放置在footer的分析代碼"
		 ),
	array( "type" => "tabline",
	       "desc" => '</div><div id="#tab3">'
		  ), 
	array( "name" => "啟用文章縮圖",
		   "id" => $shortname."_thumbon",
		   "type" => "checkboxes",
		   "std" => "",
		   "desc" => "啟用後文章列表會自動取文章內第一張圖片作為縮圖顯示，若無圖片則不會顯示。"
		 ),	 
	array( "name" => "縮圖最大寬度設定",
		   "id" => $shortname."_thumbwidth",
		   "type" => "text",
		   "std" => "200",
		   "desc" => "請輸入縮圖寬度，不需加px或相關單位，例如：<code>200</code>"
		 ),	 
	array( "name" => "縮圖最大高度設定",
		   "id" => $shortname."_thumbheight",
		   "type" => "text",
		   "std" => "150",
		   "desc" => "請輸入縮圖高度，不需加px或相關單位，例如：<code>150</code>"
		 ),	 		 
	array( "type" => "tabline",
	       "desc" => '</div><div id="#tab4">'
		  ), 
	array( "name" => "廣告欄位1",
		   "id" => $shortname."_ads1",
		   "type" => "textarea",
		   "std" => "",
		   "desc" => "廣告位置：內文標題下方。"
		 ),
	array( "name" => "廣告欄位2",
		   "id" => $shortname."_ads2",
		   "type" => "textarea",
		   "std" => "",
		   "desc" => "廣告位置：內文下方。"
		 ),
	array( "name" => "廣告欄位3",
		   "id" => $shortname."_ads3",
		   "type" => "textarea",
		   "std" => "",
		   "desc" => "廣告位置：內文 more 下方。"
		 ),		 
	array( "type" => "tabline",
	       "desc" => '</div><div id="#tab5">'
		  ), 	
		 
	array( "name" => "文字跑馬燈啟用，勾選後下方設定才有作用(總開關的意思)",
		   "id" => $shortname."_marqueeall_check",
		   "type" => "marquee_check",
		   "std" => "",
         ),	
	array( "name" => "跑馬燈設定",
		   "type" => "marquee_title",
		   "std" => "",
         ),			 
	array( "name" => "文字跑馬(01)啟用",
		   "id" => $shortname."_marquee01_check",
		   "type" => "marquee_check",
		   "std" => "",
         ),		
	array( "name" => "類別",
		   "id" => $shortname."_marquee01_category",
		   "type" => "marquee_text",
		   "std" => "",
		   "desc" => "例如：公告",
         ),	
	array( "name" => "色碼",
		   "id" => $shortname."_marquee01_color",
		   "type" => "marquee_text",
		   "std" => "",
		   "desc" => "例如：#eeeeee",
         ),			 		 
	array( "name" => "內容",
		   "id" => $shortname."_marquee01_content",
		   "type" => "marquee_text",
		   "std" => "",
         ),	
	array( "name" => "連結",
		   "id" => $shortname."_marquee01_link",
		   "type" => "marquee_text",
		   "std" => "",
         ),	
	array( "name" => "文字跑馬(02)啟用",
		   "id" => $shortname."_marquee02_check",
		   "type" => "marquee_check",
		   "std" => "",
         ),		
	array( "name" => "類別",
		   "id" => $shortname."_marquee02_category",
		   "type" => "marquee_text",
		   "std" => "",
         ),	
	array( "name" => "色碼",
		   "id" => $shortname."_marquee02_color",
		   "type" => "marquee_text",
		   "std" => "",
         ),			 		 
	array( "name" => "內容",
		   "id" => $shortname."_marquee02_content",
		   "type" => "marquee_text",
		   "std" => "",
         ),	
	array( "name" => "連結",
		   "id" => $shortname."_marquee02_link",
		   "type" => "marquee_text",
		   "std" => "",
         ),	
	array( "name" => "文字跑馬(03)啟用",
		   "id" => $shortname."_marquee03_check",
		   "type" => "marquee_check",
		   "std" => "",
         ),		
	array( "name" => "類別",
		   "id" => $shortname."_marquee03_category",
		   "type" => "marquee_text",
		   "std" => "",
         ),	
	array( "name" => "色碼",
		   "id" => $shortname."_marquee03_color",
		   "type" => "marquee_text",
		   "std" => "",
         ),			 		 
	array( "name" => "內容",
		   "id" => $shortname."_marquee03_content",
		   "type" => "marquee_text",
		   "std" => "",
         ),	
	array( "name" => "連結",
		   "id" => $shortname."_marquee03_link",
		   "type" => "marquee_text",
		   "std" => "",
         ),	
	array( "name" => "文字跑馬(04)啟用",
		   "id" => $shortname."_marquee04_check",
		   "type" => "marquee_check",
		   "std" => "",
         ),		
	array( "name" => "類別",
		   "id" => $shortname."_marquee04_category",
		   "type" => "marquee_text",
		   "std" => "",
         ),	
	array( "name" => "色碼",
		   "id" => $shortname."_marquee04_color",
		   "type" => "marquee_text",
		   "std" => "",
         ),			 		 
	array( "name" => "內容",
		   "id" => $shortname."_marquee04_content",
		   "type" => "marquee_text",
		   "std" => "",
         ),	
	array( "name" => "連結",
		   "id" => $shortname."_marquee04_link",
		   "type" => "marquee_text",
		   "std" => "",
         ),	
	array( "name" => "文字跑馬(05)啟用",
		   "id" => $shortname."_marquee05_check",
		   "type" => "marquee_check",
		   "std" => "",
         ),		
	array( "name" => "類別",
		   "id" => $shortname."_marquee05_category",
		   "type" => "marquee_text",
		   "std" => "",
         ),	
	array( "name" => "色碼",
		   "id" => $shortname."_marquee05_color",
		   "type" => "marquee_text",
		   "std" => "",
         ),			 		 
	array( "name" => "內容",
		   "id" => $shortname."_marquee05_content",
		   "type" => "marquee_text",
		   "std" => "",
         ),	
	array( "name" => "連結",
		   "id" => $shortname."_marquee05_link",
		   "type" => "marquee_text",
		   "std" => "",
         ),			 
	array( "type" => "tabline",
	       "desc" => "</div>"
		  )		 
	);

function css_admin() { ?> 
	<link rel="stylesheet" href="<?php bloginfo('template_directory') ?>/functions/css/panel.css" type="text/css" />
	<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
    <script type="text/javascript" src="<?php bloginfo('template_directory') ?>/functions/js/tabs.js"></script> 
	<script type="text/javascript">
$(document).ready(function(){
	$("#sco_tabs").jVertTabs();
	function openTab(tabId,index){
		$(tabId).jVertTabs('selected',index);
	}
});
</script>
<?php }
add_action('admin_menu', 'mytheme_add_admin');
function mytheme_add_admin() {

    global $themename, $shortname, $options;
	$sco = basename(__FILE__);
	$themename = 'SP';
	if ( isset($_GET['page']) && $_GET['page'] == $sco ) {
		sco_save_data();
	}
    $core_page = add_theme_page($themename." Options", $themename." 佈景設定", 'switch_themes', basename(__FILE__), 'mytheme_admin');
	add_action("admin_head-{$core_page}", 'css_admin');
}
function mytheme_admin() {

    global $themename, $shortname, $options;
	
	if (isset($_REQUEST['saved'])) {
		if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' 設定已儲存</strong></p></div>';
	};
?>
<form method="post" id="main_options_form" enctype="multipart/form-data">
<h2>Sco 佈景設定</h2>
<div id="sco_tabs">
<div>
	<ul>
		<li><a href="#tab1">圖片設定</a></li>
		<li><a href="#tab2">一般設定</a></li>
		<li><a href="#tab3">縮圖設定</a></li>
		<li><a href="#tab4">廣告設定</a></li>
		<li><a href="#tab5">跑馬燈設定</a></li>
	</ul>	
</div>
<div>
<?php foreach ($options as $value) {if ( in_array( $value['type'], array('tabline', 'text', 'textarea', 'select', 'checkboxes', 'upload' ,'marquee_check','marquee_text','marquee_title' ) ) ) { ?>
		<?php if ( $value['type'] == "tabline") { ?>
		<?php echo $value['desc']; ?>
		<?php } else { ?>
<div class="sco_set">		
		<?php if ($value['type'] == "upload") { ?>
				<div class="box-title">
				<h3><?php echo $value['name']; ?></h3>
		        </div> <!-- end div box-title -->		
                <?php echo $value['desc'] ; ?><br />			  
				<input id="<?php echo $value['id']; ?>" class="uploadfield" type="text" size="90" name="<?php echo $value['id']; ?>" value="<?php echo(get_option($value['id'])); ?>" />
				<div class="upload_buttons">
					<span class="upload_image_reset">重置</span>
					<input class="upload_image_button" type="button" value="上傳圖片" />
				</div><br /><br />
				<?php $preview = get_option($value['id']);if ($preview) { ?>
				<?php if ($value['id'] == "sco_bodybgcustom") { ?>
				下方為你所上傳的背景圖片：<br />
				<div id="bodybgcustom"></div>
				<?php } else {?>
				下方為你所上傳的圖片：<br />
				<img src="<?php echo(get_option($value['id'])); ?>">
                <?php } }?>

		<?php } elseif ( 'text' == $value['type'] ) { ?>
				<div class="box-title">
				<h3><?php echo $value['name']; ?></h3>
		        </div> <!-- end div box-title -->				
		        <?php 
				$et_input_value = '';
				$et_input_value = ( '' != get_option( $value['id'] ) ) ? get_option( $value['id'] ) : $value['std'];
				$et_input_value = stripslashes( $et_input_value );
				?>	
                <?php echo $value['desc'] ; ?>				
				<input name="<?php echo esc_attr( $value['id'] ); ?>" size="90" id="<?php echo esc_attr( $value['id'] ); ?>" type="<?php echo esc_attr( $value['type'] ); ?>" value="<?php echo esc_attr( $et_input_value ); ?>" />
								
		<?php } elseif ( 'select' == $value['type'] ) { ?>
				<div class="box-title">
				<h3><?php echo $value['name']; ?></h3>
		        </div> <!-- end div box-title -->				
				<select name="<?php echo esc_attr( $value['id'] ); ?>" id="<?php echo esc_attr( $value['id'] ); ?>">
				<?php foreach ( $value['options'] as $option ) { ?>
				<?php 
				$et_select_active = '';
											
				if ( ( stripslashes( get_option($value['id']) ) == trim( stripslashes( $option ) ) ) || ( ! get_option( $value['id'] ) && isset( $value['std'] ) && stripslashes( $option ) == stripslashes( $value['std'] ) ) )
				$et_select_active = ' selected="selected"';
				?>
				<option<?php echo esc_html( $et_select_active ); ?>><?php echo esc_html( trim( $option ) ); ?></option>
				<?php } ?>
				</select>	
				<?php if ($value['id'] == "sco_bodybackground") { ?>
				<?php echo $value['desc'] ; ?>
				<?php } ?>
				
		
		<?php } elseif ($value['type'] == "textarea") { ?>
		      <div class="box-title">
				<h3><?php echo $value['name']; ?></h3>
		      </div> <!-- end div box-title -->
			<?php
			$et_textarea_value = '';
			$et_textarea_value = ( '' != get_option( $value['id'] ) ) ? get_option( $value['id'] ) : $value['std'];
			?>  
			<?php echo $value['desc'] ; ?><br />
			<textarea tabindex="4" rows="6" cols="60" name="<?php echo esc_attr( $value['id'] ); ?>" id="<?php echo esc_attr( $value['id'] ); ?>"><?php echo stripslashes( $et_textarea_value ); ?></textarea> 

        <?php } elseif ( $value['type'] == "checkboxes") { ?>
							<?php 
								$checked = '';
								if ( '' != get_option( $value['id'] ) ) {
									if ( 'on' == get_option( $value['id'] ) ) { $checked = 'checked="checked"'; }
									else { $checked = ''; }
								}
								elseif ( 'on' == $value['std'] ) { $checked = 'checked="checked"'; }
							?>
				<div class="box-title">
				<h3><?php echo $value['name']; ?></h3>
		        </div> <!-- end div box-title -->	      			
			<input type="checkbox" class="checkbox" name="<?php echo esc_attr( $value['id'] ); ?>" id="<?php echo esc_attr( $value['id'] );?>" <?php echo $checked; ?> />
			<label><?php echo $value['desc'] ; ?>	</label>
			
<?php } elseif ($value['type'] == "marquee_title") { ?>	
<h3><?php echo $value['name']; ?></h3>	
        <?php } elseif ($value['type'] == "marquee_check") { ?>
							<?php 
								$checked = '';
								if ( '' != get_option( $value['id'] ) ) {
									if ( 'on' == get_option( $value['id'] ) ) { $checked = 'checked="checked"'; }
									else { $checked = ''; }
								}
								elseif ( 'on' == $value['std'] ) { $checked = 'checked="checked"'; }
							?>
			<?php echo $value['name']; ?>      			
			<input type="checkbox" class="checkbox" name="<?php echo esc_attr( $value['id'] ); ?>" id="<?php echo esc_attr( $value['id'] );?>" <?php echo $checked; ?> />
			<br /><label><?php echo $value['desc'] ; ?></label>
			
        <?php } elseif ($value['type'] == "marquee_text") { ?>
                <?php echo $value['name']; ?>			
		        <?php 
				$et_input_value = '';
				$et_input_value = ( '' != get_option( $value['id'] ) ) ? get_option( $value['id'] ) : $value['std'];
				$et_input_value = stripslashes( $et_input_value );
				?>				
				<input name="<?php echo esc_attr( $value['id'] ); ?>" size="90" id="<?php echo esc_attr( $value['id'] ); ?>" type="<?php echo esc_attr( $value['type'] ); ?>" value="<?php echo esc_attr( $et_input_value ); ?>" />
		        <br /><?php echo $value['desc'] ; ?>
		<?php } ?>		
</div>	
<?php } } } ?>
   </div>
        			<input name="save" class="sco_submit" type="submit" value="儲存設定"/>
			<input type="hidden" name="action" value="save_sco" />
    </form>	
<div id="sponsor_paypal">
如果你覺得佈景不錯，歡迎你贊助，有沒有贊助都不影響佈景使用，請放心。<br /><br />
<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="8P5QPY4H2VC7A">
<table>
<input type="hidden" name="charset" value="utf-8" />
<tr><td><input type="hidden" name="on0" value="贊助金額">贊助金額</td></tr><tr><td><select name="os0">
	<option value="選項 1">選項 1 NT$100 TWD</option>
	<option value="選項 2">選項 2 NT$300 TWD</option>
	<option value="選項 3">選項 3 NT$500 TWD</option>
	<option value="選項 4">選項 4 NT$700 TWD</option>
	<option value="選項 5">選項 5 NT$1,000 TWD</option>
</select> </td></tr>
</table>
<input type="hidden" name="currency_code" value="TWD">
<input type="image" src="https://www.paypalobjects.com/zh_TW/TW/i/btn/btn_paynowCC_LG.gif" border="0" name="submit" alt="PayPal － 更安全、更簡單的線上付款方式！">
<img alt="" border="0" src="https://www.paypalobjects.com/zh_TW/i/scr/pixel.gif" width="1" height="1">
</form>
</div>	
</div>	
<?php
}
/* --------------------------------------------- */
$ads3 = get_option('sco_ads3');
if($ads3) { 
add_filter('the_content', 'after_more_ads');
function after_more_ads($content){
 if (is_single())
 global $post;
$thePostID = $post->ID;
$new_insert = '<span id="more-' .$thePostID.'"></span>' ;
 return str_replace($new_insert, after_more_ad_code(), $content);
 }
function after_more_ad_code(){
 $ads3 = get_option('sco_ads3');
 return '<div class="single_ads">'.stripslashes($ads3).'</div>';
}
}
/* --------------------------------------------- */
global $options, $value, $shortname;
foreach ($options as $value) {
	if (isset($value['id'])) {
		if ( get_option( $value['id'] ) === FALSE) {
			if (array_key_exists('std', $value)) { 
				update_option( $value['id'], $value['std'] );
				$$value['id'] = $value['std'];
			}
		} else {
			$$value['id'] = get_option( $value['id'] ); }
	}
}


function sco_save_data(){
	global $options;
	
	$sco = basename(__FILE__);
	
	if ( isset($_REQUEST['action']) ) {
		
		$valuesArray = array();
		
		if ( 'save_sco' == $_REQUEST['action'] ) {
			foreach ($options as $value) {
				if( isset( $value['id'] ) ) { 
					if( isset( $_REQUEST[ $value['id'] ] ) ) {
update_option( $value['id'], $_POST[$value['id']] );
					}
					else {
delete_option( $value['id'] );
					}
				}
				
				$valuesArray[$value['id']] = $_POST[$value['id']];
			}
			header("Location: themes.php?page=$sco&saved=true");
			die;
			
		} else if( 'reset' == $_REQUEST['action'] ) {

			foreach ($options as $value) {
				if (isset($value['id'])) {
					delete_option( $value['id'] );
					if (isset($value['std'])) $$value['id'] = $value['std'];
				};
			}
			
			header("Location: themes.php?page=$sco&reset=true");
			die;
		}
	}	
}



function upload_scripts() {
	wp_enqueue_script('media-upload');
	wp_enqueue_script('thickbox');
	wp_register_script('my-upload', get_template_directory_uri().'/functions/js/custom_uploader.js', array('jquery','media-upload','thickbox'));
	wp_enqueue_script('my-upload');
}
	 
function upload_styles() {
	wp_enqueue_style('thickbox');
}

global $pagenow; 
if ( 'themes.php' == $pagenow && isset( $_GET['page'] ) && ( $_GET['page'] == basename(__FILE__) ) ) {
	add_action('admin_print_scripts', 'upload_scripts');
	add_action('admin_print_styles', 'upload_styles');
} ?>