<?php
require_once(TEMPLATEPATH . '/functions/settings.php'); 
require_once(TEMPLATEPATH . '/functions/theme-update-checker.php'); 
$sco_plus_update_checker = new ThemeUpdateChecker(
	'sco_plus',                                            
	'http://steachs.com/theme_update/sco_plus/info.json' 
);

if ( function_exists('register_sidebar') )
        register_sidebar(array(
		'name' => 'sidebar',
        'before_widget' => '<div class="paperclip"></div><div class="sidebar">',
        'after_widget' => '</div>',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
 ));
add_filter( 'the_category', 'add_nofollow_cat' ); 
function add_nofollow_cat( $text ) {
$text = str_replace('rel="category"', "", $text); return $text;
}  ;
?>
<?php
function srelated_posts($before_title="",$after_title="") {	
	global $wpdb, $post,$table_prefix;
	if(!$post->ID){return;}
	$now = current_time('mysql', 1);
	$tags = wp_get_post_tags($post->ID);
	
	$taglist = "'" . $tags[0]->term_id. "'";
	
	$tagcount = count($tags);
	if ($tagcount > 1) {
		for ($i = 1; $i < $tagcount; $i++) {
			$taglist = $taglist . ", '" . $tags[$i]->term_id . "'";
		}
	}	
	$limitclause = "LIMIT 5";	
	$q = "SELECT p.ID, p.post_title, p.post_content,p.post_excerpt, p.post_date,  p.comment_count, count(t_r.object_id) as cnt FROM $wpdb->term_taxonomy t_t, $wpdb->term_relationships t_r, $wpdb->posts p WHERE t_t.taxonomy ='post_tag' AND t_t.term_taxonomy_id = t_r.term_taxonomy_id AND t_r.object_id  = p.ID AND (t_t.term_id IN ($taglist)) AND p.ID != $post->ID AND p.post_status = 'publish' AND p.post_date_gmt < '$now' GROUP BY t_r.object_id ORDER BY cnt DESC, p.post_date_gmt DESC $limitclause;";	
	$related_posts = $wpdb->get_results($q);
	foreach ($related_posts as $related_post ){
		$output .=  '<li><a href="'.get_permalink($related_post->ID).'" title="'.wptexturize($related_post->post_title).'">'.wptexturize($related_post->post_title).'</a></li>';			
	}	
	$output = '<ul class="related_post">' . $output . '</ul>';		
	return $output;
}
function s_related_posts(){
	$output = srelated_posts() ;
	echo $output;
}
function s_random_lists($num_limit = 5 , $exclude = "" , $date_limit = "" , $echo = true , $list = true){
		$out = "";
		if ( $num_limit < 1 ) $num_limit = "-1";
		if ( !$date_limit_ts = strtotime($date_limit) ) $date_limit = false;
		if ( !$date_limit ){
        	$posts = get_posts('offset=0&numberposts='.$num_limit.'&exclude='.$exclude.'&orderby=rand');
		} else {
        	$posts = get_posts('offset=0&numberposts=-1&exclude='.$exclude.'&orderby=rand');
		}
		$postscount = count($posts);
		if ( $num_limit < 1 ) $num_limit = $postscount;
		if ( $postscount < $num_limit ) $num_limit = $postscount ;
		for ( $i = 0 ; $i < $num_limit ; $i++ ){
			if ( !$date_limit or $date_limit_ts < strtotime( $posts[$i]->post_date )){
				if ( $list ) $out.= '<li class="random-post-link">'."\n";
  				$out.= '<a href="'.get_permalink($posts[$i]->ID).'" title="'.$posts[$i]->post_title.'">'.$posts[$i]->post_title.'</a>'."\n";
				if ( $list ) $out.= '</li>'."\n";
			}else{
				if ( $postscount > $num_limit ) $num_limit++;
			}
		}
		if ( $list ) $out = '<ul class="random-post-link">'."\n".$out.'</ul>'."\n";
		if ( $echo ){
  			echo $out;
		} else {
			return $out;
		}
	}
;?>
<?php
function register_main_menus() {
	register_nav_menus(
		array(
			'primary-menu' => __( 'Primary Menu' ),
		)
	);
};
if (function_exists('register_nav_menus')) add_action( 'init', 'register_main_menus' );
?>
<?php
	function s_pagenavi($range = 5){
  global $paged, $wp_query;
  if ( !$max_page ) {
    $max_page = $wp_query->max_num_pages;
  }
  if($max_page > 1){
    if(!$paged){
      $paged = 1;
    }
echo '<div class="paviinfo">第'.$paged.'頁、共'.$max_page.'頁</div>';
    if($paged != 1){
      echo "<a href='" . get_pagenum_link(1) . "' class='extend' title='首頁'>首頁</a>";
    }
    previous_posts_link(' « ');
    if($max_page > $range){
      if($paged < $range){
        for($i = 1; $i <= ($range + 1); $i++){
          echo "<div class=".'"spagenum"'."><a title=".'"第'.$i.'頁"'. " href='" . get_pagenum_link($i) ."'";
          if($i==$paged) echo " class='current'";
          echo ">$i</a></div>";
        }
      }
      elseif($paged >= ($max_page - ceil(($range/2)))){
        for($i = $max_page - $range; $i <= $max_page; $i++){
          echo "<div class=".'"spagenum"'."><a title=".'"第'.$i.'頁"'. " href='" . get_pagenum_link($i) ."'";
          if($i==$paged) echo " class='current'";
          echo ">$i</a></div>";
        }
      }
      elseif($paged >= $range && $paged < ($max_page - ceil(($range/2)))){
        for($i = ($paged - ceil($range/2)); $i <= ($paged + ceil(($range/2))); $i++){
          echo "<div class=".'"spagenum"'."><a title=".'"第'.$i.'頁"'. " href='" . get_pagenum_link($i) ."'";
          if($i==$paged) echo " class='current'";
          echo ">$i</a></div>";
        }
      }
    }
    else{
      for($i = 1; $i <= $max_page; $i++){
        echo "<div class=".'"spagenum"'."><a title=".'"第'.$i.'頁"'. " href='" . get_pagenum_link($i) ."'";
        if($i==$paged) echo " class='current'";
        echo ">$i</a></div>";
      }
    }
    next_posts_link(' » ');
    if($paged != $max_page){
      echo "<a href='" . get_pagenum_link($max_page) . "' class='extend' title='最後一頁'>最後一頁</a>";
    }
  }
}
	;?>