<!DOCTYPE html>
<!--[if IE 6]>
<html id="ie6" dir="ltr" lang="zh-TW">
<![endif]-->
<!--[if IE 7]>
<html id="ie7" dir="ltr" lang="zh-TW">
<![endif]-->
<!--[if IE 8]>
<html id="ie8" dir="ltr" lang="zh-TW">
<![endif]-->
<!--[if !(IE 6) | !(IE 7) | !(IE 8)  ]><!-->
<html dir="ltr" lang="zh-TW">
<!--<![endif]-->
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php bloginfo('name'); ?><?php wp_title(); ?></title>
<link rel="stylesheet" href="<?php bloginfo('template_directory') ?>/style.css" type="text/css" media="screen" />
<?php $favicon = get_option('sco_favicon');
      if($favicon) { ?>
<link rel="Shortcut Icon" type="image/x-icon" href="<?php echo $favicon;?>" />
      <?php } ?>
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="Atom 1.0" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<!--[if lt IE 9]>
<script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<![endif]--> 
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/jquery.min.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/marquee.js"></script>
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php
if ( is_singular() ) {
$description = mb_strimwidth(strip_tags(apply_filters('the_content', $post->post_content)), 0, 300,"...");
printf('<meta name="description" content="%s" />', $description);
}
?>
<?php 
$fbpage = get_option('sco_fbpage');
if($fbpage) { ?>  
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.min.js"></script>
<?php } ; ?>
<style>
body{
<?php 
$bodybgcustom = get_option('sco_bodybgcustom');
     if($bodybgcustom) { ?>
    background: url("<?php echo $bodybgcustom;?>") repeat;	 
	<?php } else {?> 
    background: url("<?php bloginfo('template_directory') ?>/images/<?php $bodybackground = get_option('sco_bodybackground');echo $bodybackground;?>.png") repeat;
	<?php } ?>
}
</style>
<?php wp_head(); ?>
</head>	
<body>
  <div id="main">
    <div id="header">
     <?php 
     $logo = get_option('sco_logo');
     if($logo) { ?>
     <header id="logo">
	 <h1><a href="<?php bloginfo('url'); ?>"><img src="<?php echo $logo; ?>" title="<?php bloginfo('name'); ?>" /></a></h1>
     <div class="slogan">
	 <?php $head = get_option('sco_head'); if($head) { ?>
	 <?php echo stripslashes($head);?>
	 <?php } ; ?>
	 </div>
	 </header>
	 <?php } else { ?>
     <header id="logo_text">
	 <h1><a title="<?php bloginfo('name'); ?>" href="<?php bloginfo('url'); ?>"><?php bloginfo('name'); ?></a></h1>
     <div class="slogan">
	 <?php $head = get_option('sco_head'); if($head) { ?>
	 <?php echo stripslashes($head);?>
	 <?php } ; ?>
	 </div>
	 </header>
	 <?php } ; ?> 
<?php $dropdownmenu = get_option('sco_dropdownmenu');
if($dropdownmenu) { ?>
<nav id="ddmenu" role="navigation">
  <?php $menuClass = 'nav superfish';
		$primaryNav = '';
		if (function_exists('wp_nav_menu')) {
			$primaryNav = wp_nav_menu( array( 'theme_location' => 'primary-menu', 'container' => '', 'fallback_cb' => '', 'menu_class' => $menuClass, 'echo' => false ) ); 
		};
		echo($primaryNav); ?>
</nav>	
<?php } else{ ?>
<nav id="access" role="navigation">
		<?php $menuClass = 'nav superfish';
		$primaryNav = '';
		if (function_exists('wp_nav_menu')) {
			$primaryNav = wp_nav_menu( array( 'theme_location' => 'primary-menu', 'container' => '', 'fallback_cb' => '', 'menu_class' => $menuClass, 'echo' => false ) ); 
		};
		echo($primaryNav); ?>
</nav>
<?php } ?> 
    </div>